# @fluentui/stress-test

Stress Test is an application for testing Fluent UI components in "stressful" scenarios so we can evaluate performance.

This application is configured to support Fluent UI v8, v9 and Web Components.

Stress Test is a simple Webpack application as Webpack allows us to support Fluent v8, v9 and Web Components in a single app while using each version of Fluent natively (that is, the React versions of Fluent are typical React apps, the Web Component version is a typical web component app). Additionally, Griffel, a dependency of Fluent v9 provides some Webpack loaders so Stress Test needs to be able to use those.

## Development

Use `yarn start` and select `@fluentui/stress-test` from the list of options to start the application in development mode.

### Project layout

The project is laid out with folders for each supported version of Fluent (`v8`, `v9`, `wc`) with subfolders in each folder representing a test case. In general there should be corresponding cases between all three versions of Fluent.

The `shared` folder is for utilities that are shared across Fluent versions.

The `components` folder is also split by supported Fluent versions and is where compoenents that can be shared across test cases live.

The `benchmarks` folder houses Tachometer configurations and test results; and helper scripts for generating configurations and processing results.

### Adding test cases

Currently, new test cases must be manually added. Add tests cases to the `pages` array in `webpack.config.js` and they will be generated by Webpack. This configuration keeps the different Fluent versions in separate Webpack chunks. The dev server needs to be restarted after changes to the config file.

## Production

Run `yarn workspace @fluentui/stress-test build` from the repo root to build a static production bundle of the application.

Run `yarn workspace @fluentui/stress-test serve` to serve the static production bundle.

## Running test cases

Run `yarn workspace @fluentui/stress-test bench:*` where "\*" is one of the test cases in `package.json`.

NOTE: Stress Test must be running, preferrably as a production build.
