# @fluentui/react-avatar

**React AvatarGroup component for [Fluent UI](https://dev.microsoft.com/fluentui)**

The AvatarGroup component represents a group of multiple people or entities by taking care of the arrangement of individual Avatars in a spread, stack, or pie layout.

## STATUS: WIP 🚧

These are not production-ready components and **should never be used in product**. This space is useful for testing new components whose APIs might change before final release.

## Usage

To import AvatarGroup and AvatarGroupItem:

```js
import { AvatarGroup, AvatarGroupItem } from '@fluentui/react-avatar';
```

Once the AvatarGroup component graduates to a production release, the component will be available at:

```js
import { AvatarGroup, AvatarGroupItem } from '@fluentui/react-components';
```

### Examples

```jsx
<AvatarGroup>
  <AvatarGroupItem name="Katri Athokas" />
  <AvatarGroupItem name="Elvia Atkins" />
  <AvatarGroupItem name="Cameron Evans" />
  <AvatarGroupItem name="Wanda Howard" />
  <AvatarGroupItem name="Mona Kane" />
  <AvatarGroupItem name="Allan Munger" />
  <AvatarGroupItem name="Daisy Phillips" />
  <AvatarGroupItem name="Robert Tolbert" />
  <AvatarGroupItem name="Kevin Sturgis" />
</AvatarGroup>
```
